Eclipse Platform Release 3.7

## org.eclipse.jface.text.contentassist
Interface IContextInformationExtension

    public interface IContextInformationExtension

Extends `IContextInformation` with the ability to freely position the context information.

Since:
  2.0

Method Summary
`int` `getContextInformationPosition()` Returns the start offset of the range for which this context information is valid or `-1` if unknown.

Method Detail

### getContextInformationPosition

    int getContextInformationPosition()

  Returns the start offset of the range for which this context information is valid or `-1` if unknown.

  Returns:
    the start offset of the range for which this context information is valid

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.